Source: dnsmeter
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 libbz2-dev,
 libidn2-dev,
 libpcap-dev,
 libpcre2-dev,
 libssl-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://www.dns-oarc.net/tools/dnsmeter
Vcs-Browser: https://forgejo.debian.net/dns-oarc/dnsmeter
Vcs-Git: https://forgejo.debian.net/dns-oarc/dnsmeter

Package: dnsmeter
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: DNS Performance and Infrastructure Testing Tool
 dnsmeter is a tool for testing performance of a nameserver and the
 infrastructure around it. It generates DNS queries and sends them via UDP to a
 target nameserver and counts the answers.
 .
 Features:
 .
   * payload can be given as a text file or a PCAP file
   * can automatically run different load steps, which can be given as a list
     or ranges
   * results per load step can be stored in a CSV file
   * sender addresses can be spoofed from a given network or from the addresses
     found in the PCAP file
   * answers are counted, even if source address is spoofed, if answers get
     routed back to the load generator
   * round-trip-times are measured (average, min, mix)
   * the amount of DNSSEC queries can be given as percentage of total traffic
   * optimized for high amount of packets
